#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int brojNovcanica,novac,broj;
    scanf("%lli",&novac);
  for(brojNovcanica=0;novac >= 1;novac = novac/10){
    broj = novac % 10;
    if(broj==1 || broj==2 || broj==5)
     brojNovcanica++;
    else if(broj==3 || broj==4 || broj==6 || broj==7)
        brojNovcanica=brojNovcanica+2;
    else if(broj==8 || broj==9)
        brojNovcanica=brojNovcanica+3;












  }

printf("%d",brojNovcanica);





    return 0;
}